@import url("https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap");

body {
  font-family: "Roboto", sans-serif;
  display: flex;
  flex-direction: column;
  justify-content: end;
  color: white;
  text-align: center;
  margin: 0 auto;
  background-color: rgba(0, 0, 255, 0.5);
  max-width: 1100px;
  padding-top: 40px;
}

img {
  margin: 0 auto;
  padding: 0 auto;
  max-width: 100%;
  max-height: 100%;
  border-radius: 10px;
  align-self: center;
}

.imagemm {
  object-fit: fill;
  max-width: 100%;
  max-height: 100%;
  width: 547px;
  height: 365px;
  border-radius: 10px;
}

.centro {
  margin: auto;
  align-self: center;
  text-align: center;
  display: grid;
  grid-template-columns: 3fr 3fr;
  width: 90%;
  background-color: rgba(0, 0, 255, 0.5);
  border-radius: 15px;
  padding: 20px;
}

.dados {
  margin: 0;
  align-self: center;
  display: grid;
  grid-template-columns: 1fr 2fr;
  justify-content: space-around;
  width: 90%;
  padding: 20px;
}

.buttons {
  color: white;
  width: 200px;
  margin: 5px auto;
  padding: 0 5px 0 5px;
  font-size: 25px;
  border-radius: 10px;
  background-color: rgba(255, 255, 255, 0.3);
}

.imagemm2 {
  height: 70px;
  width: 210px;
  margin: 10px auto;
}

.tempo {
  padding: 20px 5px 20px 5px;
  font-size: 30px;
}



#cliques-acertos-erros {
  padding: 0 auto;
  margin: 0 auto;
}

.rcp-div {
  width: 20%;
  align-self: center;
  margin: 0;
  padding: 0;
}

.top {
  padding: 20px;
  margin: auto;
  text-align: center;
  display: flex;
  justify-content: space-evenly;
}

.cliques {
  background-color: rgba(0, 0, 255, 0.5);
  color: rgba(255, 255, 255, 1);
  font-size: 25px;
  padding: 0 80px;
  border-radius: 10px;
  margin: 0 20px;
}

p {
  padding: 10px 5px;
  margin: 10px;
}

#rcp {
  background-color: rgba(0, 0, 255, 0.5);
  border-radius: 10px;
  margin: 0;
  padding: 0;
}

#rcp:active {
  transform: scale(0.93);
}

#Progress_Status {
  margin: 0 auto;
  height: 300px;
  max-height: 100%;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr;
  align-items: end;
  padding: 3px;
  border-radius: 14px;
  background-color: rgba(255, 255, 255, 0.3);
}

#myprogressBar {
  margin: 0 auto;
  max-height: 100%;
  width: 25px;
  background-color: #4CAF50;
  grid-area: 1 / 1 / 2 / 2;
  border-radius: 12px;
}

#myBarAcerto {
  margin: 0 auto;
  height: 1%;
  max-height: 100%;
  width: 25px;
  margin-bottom: 8px;
  background-color: rgba(255, 0, 0, 0.6);
  grid-area: 1 / 1 / 2 / 2;
  border-radius: 12px;
}

footer {
  align-items: end;
  align-content: end;
  text-align: center;
}

footer {
  color: #fff;
  text-align: center;
  margin-top: 50px;
}

@media (max-width: 1140px) {
  img {
    height: 280px;
  }

  .imagemm {
    height: 280px;
    width: 423px;
  }

  .cliques {
    padding: 0 50px;
  }

  .tempo {
    padding: 0;
  }

  #Progress_Status {
    align-self: center;
    height: 250px;
    margin: 0 auto;
  }

  body {
    max-width: 900px;
  }

}

@media (max-width: 900px) {
  .cliques {
    padding: 0 30px;
  }
}

@media (max-width: 780px) {
  img {
    height: 250px;
  }

  .imagemm {
    height: 250px;
    width: 375px;
  }

  .buttons {
    width: 150px;
    padding: 0;
    font-size: 21px;
  }

  .imagemm2 {
    height: 50px;
    width: 150px;
  }

  .tempo {
    padding: 10px 0;
    font-size: 25px;
  }

  .cliques {
    padding: 0 10px;
    font-size: 20px;
  }

  #Progress_Status {
    height: 200px;
    padding: 2px;

  }

  body {
    max-width: 95%;
    font-size: 15px;
  }

  #myBarAcerto {
    width: 20px;
    border-radius: 8px;
    margin-bottom: 6px;
  }

  #myprogressBar {
    width: 20px;
    border-radius: 8px;
  }

}

@media (max-width: 700px) {
  .buttons {
    width: 120px;
    font-size: 18px;
  }

  .imagemm2 {
    height: 40px;
    width: 120px;
  }
}

@media (max-width: 650px) {
  img {
    height: 200px;
  }

  .imagemm {
    height: 200px;
    width: 300px;
  }

  #Progress_Status {
    height: 170px;
  }

  .buttons {
    width: 120px;
    font-size: 18px;
  }

  .tempo {
    padding: 5px 0;
    font-size: 20px;
  }
}

@media (max-width: 620px) {
  .cliques {
    margin: 0 10px;
  }
}

@media (max-width: 570px) {
  img {
    height: 180px;
  }

  .imagemm {
    height: 180px;
    width: 270px;
  }

  .buttons {
    width: 110px;
    font-size: 15px;
  }

  .cliques {
    margin: 0;
    font-size: 18px;
  }
}

@media (max-width: 520px) {
  img {
    height: 165px;
  }

  .imagemm {
    height: 165px;
    width: 248px;
  }

  .buttons {
    width: 100px;
    font-size: 15px;
  }

  .imagemm2 {
    height: 33px;
    width: 100px;
  }
}

@media (max-width: 500px) {
  img {
    height: 150px;
  }

  .imagemm {
    height: 150px;
    width: 225px;
  }

  #Progress_Status {
    height: 150px;
    padding: 1px;
  }

  p {
    padding: 5px 0;
  }

  .tempo {
    padding: 0px 0;
    font-size: 20px;
  }

  .buttons {
    margin: 2px auto;
  }
}

@media (max-width: 460px) {
  img {
    height: 120px;
  }

  .imagemm {
    height: 120px;
    width: 180px;
  }

  .imagemm2 {
    margin: 4px auto;
  }

  .play {
    display: grid;
    grid-template-columns: 1fr;
    margin: auto;
  }

  p {
    margin: 7px;
    padding: 2px 0;
  }

  #Progress_Status {
    height: 120px;
    padding-bottom: 15%;
  }

  .cliques {
    font-size: 15px;
  }

  #pause {
    max-width: 45%;
  }

  #reset{
    max-width: 45%;
  }
}

@media (max-width: 410px) {
  img {
    height: 110px;
  }

  .imagemm {
    height: 110px;
    width: 165px;
  }

  #Progress_Status {
    height: 100px;
    padding-bottom: 15%;
  }

  body {
    max-width: 100%;
  }

  .buttons {
    width: 80px;
    font-size: 13px;
  }
  
  .imagemm2 {
    height: 27px;
    width: 80px;
  }

  p {
    padding: 0;
  }

  .tempo {
    padding: 0;
    font-size: 18px;
  }

  .centro {
    padding: 0 10px;
    margin: 0;
  }

  .cliques {
    padding: 0;
  }
}